Package org.apache.ignite.internal.management.cache

## Class ContentionTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<CacheContentionCommandArg,​ContentionTaskResult,​ContentionJobResult>
  - - org.apache.ignite.internal.management.cache.ContentionTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<CacheContentionCommandArg>,​VisorTaskResult<ContentionTaskResult>>`

    @GridInternal
    public class ContentionTask
    extends VisorMultiNodeTask<CacheContentionCommandArg,​ContentionTaskResult,​ContentionJobResult>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`ContentionTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<CacheContentionCommandArg,​ContentionJobResult>` `job​(CacheContentionCommandArg arg)`
`protected @Nullable ContentionTaskResult` `reduce0​(List<ComputeJobResult> list)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentionTask

    public ContentionTask()

### Method Detail

#### reduce0

    @Nullable
    protected @Nullable ContentionTaskResult reduce0​(List<ComputeJobResult> list)
                                              throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<CacheContentionCommandArg,​ContentionTaskResult,​ContentionJobResult>`
Parameters:
  `list` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

#### job

    protected VisorJob<CacheContentionCommandArg,​ContentionJobResult> job​(CacheContentionCommandArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<CacheContentionCommandArg,​ContentionTaskResult,​ContentionJobResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.